@import url('https://fonts.googleapis.com/css2?family=Share+Tech+Mono&display=swap');

@keyframes flags {
  0%, 23%, 100% {
    border-image-source: linear-gradient(to right, #d62e00 0% 20%, #ff9a56 20% 40%, #ffffff 40% 60%, #d362a4 60% 80%, #8a0253 80% 100%);
  }
  33%, 56% {
    border-image-source: linear-gradient(to right, #fcf434 0% 20%, #ffffff 20%                  60%, #9c59d1 60% 80%, #2c2c2c 80% 100%);
  }
  66%, 90% {
    border-image-source: linear-gradient(to right, #5bcefa 0% 20%, #f5a9b8 20% 40%, #ffffff 40% 60%, #f5a9b8 60% 80%, #5bcefa 80% 100%);
  }
}

html,
body {
  font-family: 'Share Tech Mono', monospace;
  margin: 0; /* remove default margin */
  padding: 0; /* remove default padding */
  box-sizing: border-box;
  height: 100%;
}

h1 {
  font-size: 5rem;
}

#content-row {
  margin-top: 35vh; /* move content down */
}

#main-wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100%;
}

#main-content {
  flex: 1;
}

#main-footer {
  margin-top: 0rem;
}

#main-footer p {
  color: #ccc;
}

#main-footer a {
  text-decoration: none;
  color: inherit;
}

#name {
  display: inline-block;
  font-weight: bold;
  font-size: 5.5rem;
  color: black;
  border-bottom: 1rem solid;
  border-image-slice: 1;
  animation: flags 40s ease-in-out infinite;
}